unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, AppEvnts, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetTopMostWindow;
    procedure WMNCPaint(var Msg: TWMNCPaint); message WM_NCPAINT;
    procedure WM_ShowWindow(var Msg: TWMShowWindow); message WM_ShowWindow;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.SetTopMostWindow;
begin
  SetWindowPos( Handle, HWND_TOPMost,
                Left, Top, Width, Height,
                SWP_NOACTIVATE or SWP_NOMOVE or SWP_NOSIZE or SWP_NOOWNERZORDER);
end;

procedure TForm1.WMNCPaint(var Msg: TWMNCPaint);
begin
  SetTopMostWindow;
  inherited;
end;

procedure TForm1.WM_ShowWindow(var Msg: TWMShowWindow);
begin
  if not Msg.Show then
    Msg.Result := 0
  else
    inherited;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   SetBounds( Screen.Width - Width, 0, Width, Height);
end;

end.

